Package Details: cgoban3 3.5.23b2-1

Git Clone URL: https://aur.archlinux.org/cgoban3.git (read-only)
Package Base: cgoban3
Description: Kiseido Go and SGF client
Upstream URL: https://gokgs.com/
Licenses: Freeware
Submitter: SkizoRutabaga
Maintainer: dysphoria
Last Packager: dysphoria
Votes: 56
Popularity: 0.000003
First Submitted: 2007-06-12 12:37
Last Updated: 2019-05-15 23:39

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

SkizoRutabaga commented on 2012-04-04 20:45

v3.5.10
Sorry for the delay on this update

solstice commented on 2012-03-19 21:28

java-environment is not a needed depends. the package only need java-runtime

java-environment gives the jdk to compile java code
java-runtime only gives the jre to run java byte-compiled code

hickop commented on 2012-03-12 14:07

3.5.9 PKGBUILD:
http://pastie.org/3577782

SkizoRutabaga commented on 2012-02-26 18:44

new release : 3.5.8

Fandekasp commented on 2012-02-23 02:10

btw is your build() up to date ? you're trying to install a src/cgoban3.png file when the jnlp executable installs a images/cgobanIcon.jpg one. Don't know either where the .desktop files come from (trying to do a similar package for gopanda)

Anonymous comment on 2012-02-22 23:54

new version came out, please update checksums

hickop commented on 2012-01-24 22:57

If you have sound problems with cgoban3 (like no stone sound) install jre6 from AUR and remove 'java-environment' dependency in PKGBUILD. Use 'aoss cgoban3' (alsa-oss package) If you use alsa, or 'padsp' for pulseaudio (not tested).

solstice commented on 2011-11-30 14:57

shouldn't this package depends on java-runtime instead of java-environment ?

SkizoRutabaga commented on 2011-11-08 07:54

New release.
namcap is OK with this package now, except for :

cgoban3 E: Freeware is not a common license (it's not in /usr/share/licenses/common/)

as this software is - very sadly - a freeware.

Thanks for your comments

Anonymous comment on 2011-11-08 02:42

I got these warnings and errors when I ran namcap on the package:

cgoban3 W: No ELF files and not an "any" package
cgoban3 W: Dependency 'sh' on your system is a testing release # no idea what this means
cgoban3 E: Freeware is not a common license (it's not in /usr/share/licenses/common/)
cgoban3 E: Mime type handler found. Add "update-desktop-database -q" to the install file
cgoban3 E: Dependency java-environment detected and not included (found class files usr/share/java/cgoban3/cgoban.jar)
cgoban3 E: Dependency desktop-file-utils detected and not included (needed for update-desktop-database)
cgoban3 W: Dependency included and not needed ('java-runtime')